Autor Thema: Virtualbox 5.2.6 Kernelmodule mit Kernel 4.14 - modprobe: ERROR: could not inser  (Gelesen 730 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

ds2k5

  • Neues Foren Mitglied
  • *
  • Beiträge: 7
  • CPU: i3
  • GPU: onboard
  • Kernel: 4.14
  • DE: DE
  • GPU Treiber: intel

Hallo,
ich habe Update laufen lassen via pacman, reboot wegen Kernel Update.
Nun läuft mein Virutalbox nicht mehr.

Bei Kernel 4.4 gehts.

$ uname -a
Linux localhost 4.14.15-1-MANJARO #1 SMP PREEMPT Wed Jan 24 13:13:39 UTC 2018 x86_64 GNU/Linux


sudo modprobe vboxdrv
modprobe: ERROR: could not insert 'vboxdrv': Exec format error


/lib/modules/extramodules-4.14-MANJARO

$ ls -lathr vbox*
-rw-r--r-- 1 root root  14K 30. Jan 02:30 vboxpci.ko.gz
-rw-r--r-- 1 root root  17K 30. Jan 02:30 vboxnetflt.ko.gz
-rw-r--r-- 1 root root 5,0K 30. Jan 02:30 vboxnetadp.ko.gz
-rw-r--r-- 1 root root 175K 30. Jan 02:30 vboxdrv.ko.gz


cp vboxdrv.ko.gz /tmp
cd /tmp
gunzip vboxdrv.ko.gz


sudo file vboxdrv.ko
vboxdrv.ko: ELF 64-bit LSB relocatable, x86-64, version 1 (SYSV), BuildID[sha1]=69fd652a4faa9cb134b0bd3ed771cbe8a8f9c79f, not stripped



$ uname -a
Linux localhost 4.4.113-1-MANJARO #1 SMP PREEMPT Wed Jan 24 13:40:21 UTC 2018 x86_64 GNU/Linux


$ lsmod | grep vbox
vboxpci                24576  0
vboxnetflt             28672  0
vboxnetadp             28672  0
vboxdrv               393216  3 vboxnetadp,vboxnetflt,vboxpci


/lib/modules/extramodules-4.4-MANJARO

$ ls -lathr vbox*
-rw-r--r-- 1 root root  11K 18. Jan 20:22 vboxpci.ko.gz
-rw-r--r-- 1 root root  14K 18. Jan 20:22 vboxnetflt.ko.gz
-rw-r--r-- 1 root root 4,3K 18. Jan 20:22 vboxnetadp.ko.gz
-rw-r--r-- 1 root root 160K 18. Jan 20:22 vboxdrv.ko.gz


Kann es sein das die KernelModule deferkt sind ?

extra/linux414-virtualbox-host-modules 5.2.6-1

Danke
 

Daemon

  • Erfahrenes Foren Mitglied
  • **
  • Beiträge: 56
  • Dankeschön: 20 mal
  • CPU: AMD Ryzen
  • GPU: nVidia
  • Kernel: 4.15 (ck-zen)
  • DE: KDE Plasma
  • GPU Treiber: nVidia
Welches VBox Paket genau hast du installiert?

Ich benutze virtualbox-host-dkms, dann muss ich mir um so ein Käse keine Gedanken mehr machen. Vergiss dann aber nicht die Kernel Header zu installieren.
 

Blueriver

  • Moderator
  • *****
  • Beiträge: 1490
  • Dankeschön: 191 mal
  • CPU: AMD Quad Core A8 3,6GHz
  • GPU: AMD/ATI Radeon R7
  • Kernel: 4.18
  • DE: LXQT und XFCE Stable, Testing, Unstable
  • GPU Treiber: Free
Es wurden ja noch Updates bezüglich Virtualbox nachgeschoben.
Hast du sie installiert?
Besteht das Problem weiterhin?
Manjaro LXQT und XFCE Stable, Testing, Unstable
CPU: AMD Quad Core A8 3,6GHz
Graka: AMD/ATI Radeon R7
Treiber: Free
Kernel: 4.18
 

Josef_K

  • Forum Kenner
  • ***
  • Beiträge: 118
  • Dankeschön: 19 mal
  • CPU: PC Intel i5-4460 - Laptop AMD Phenom II P920
  • GPU: PC GeForce GT 730 - Laptop Ati RS880M
  • Kernel: 4.17
  • DE: XFCE
  • GPU Treiber: PC nonfree - Laptop free
Hatte heute nach dem Update das gleiche Problem. Scheint ein Bug im Kernel 4.14 zu sein. mit dem 4.15 funktioniert Virtualbox.

Grüße
Josef
PGV ecogold, HP Pavilion dv7, Raspberry Pi B + 2
Arch/Manjaro, Void, FreeBSD
 

m-bostaurus

  • Forum Kenner
  • ***
  • Beiträge: 160
  • Dankeschön: 4 mal
  • CPU: Desktop: Intel Core i5-6500 800/3600 MHz; Laptop: i5
  • GPU: Desktop: Intel onboard; Laptop:Nvidia
  • Kernel: 4.14 und 4.17 64bit auf beiden Rechnern
  • DE: LXQt (bevorzugt), XFCE, Mate, KDE (nicht mehr)
  • GPU Treiber: Desktop: Intel; Laptop: Nvidia
Ich stehe vor demselben Problem. Etwas mühsam habe ich aus dem journalctl entsprechende Zeilen herausgeholt, die Hinweise enthalten mögen, warum sie nicht startet. Allerdings kann ich sie nicht wirklich interpretieren.vboxdrv: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ' should be '4.14.15-1-MANJARO SMP preempt mod_unload m
Jan 30 17:30:25 c08 systemd-modules-load[388]: Failed to insert 'vboxdrv': Exec format error
systemd-modules-load.service: Main process exited, code=exited, status=1/FAILURE
Jan 30 18:34:07 c08 systemd[1]: systemd-modules-load.service: Failed with result 'exit-code'.
Jan 30 18:34:07 c08 systemd[1]: Failed to start Load Kernel Modules.
vboxdrv: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ' should be '4.14.15-1-MANJARO SMP preempt mod_unload m
Jan 30 18:34:06 c08 kernel: vboxdrv: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ' should be '4.14.15-1-MANJARO SMP preempt mod_unload m
Jan 30 18:34:06 c08 kernel: vboxdrv: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ' should be '4.14.15-1-MANJARO SMP preempt mod_unload m
Jan 30 18:34:06 c08 kernel: vboxguest: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ' should be '4.14.15-1-MANJARO SMP preempt mod_unload
Jan 30 18:34:06 c08 kernel: vboxguest: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ' should be '4.14.15-1-MANJARO SMP preempt mod_unload
Jan 30 18:34:06 c08 kernel: vboxvideo: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ' should be '4.14.15-1-MANJARO SMP preempt mod_unload
Jan 30 18:34:06 c08 kernel: vboxdrv: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ' should be '4.14.15-1-MANJARO SMP preempt mod_unload m
Jan 30 18:34:06 c08 kernel: vboxdrv: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ' should be '4.14.15-1-MANJARO SMP preempt mod_unload m
Jan 30 18:34:06 c08 kernel: vboxdrv: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ' should be '4.14.15-1-MANJARO SMP preempt mod_unload m
Jan 30 18:34:06 c08 kernel: vboxdrv: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ' should be '4.14.15-1-MANJARO SMP preempt mod_unload m
Jan 30 18:34:06 c08 kernel: vboxdrv: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ' should be '4.14.15-1-MANJARO SMP preempt mod_unload m
Jan 30 18:34:06 c08 kernel: vboxdrv: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ' should be '4.14.15-1-MANJARO SMP preempt mod_unload m
Jan 30 18:34:06 c08 kernel: vboxdrv: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ' should be '4.14.15-1-MANJARO SMP preempt mod_unload m
Jan 30 18:34:06 c08 kernel: input: Sleep Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2
Ich habe die Kernel-Module mehrere Male neu installiert. Das hat nichts gefruchtet. Bevor ich die komplette Virtualbox deinstaliere (das sind vier virtuelle Maschinen), wollte ich doch freundlich nachfragen, ob es irgendwelche Mittel gibt, das zu "reparieren".
 

Josef_K

  • Forum Kenner
  • ***
  • Beiträge: 118
  • Dankeschön: 19 mal
  • CPU: PC Intel i5-4460 - Laptop AMD Phenom II P920
  • GPU: PC GeForce GT 730 - Laptop Ati RS880M
  • Kernel: 4.17
  • DE: XFCE
  • GPU Treiber: PC nonfree - Laptop free
Zitat
philmManjaro Team2d11
Known issues and solutions
This is a wiki post; please edit as necessary.


Some modules don’t load with kernel v4.14.15
This kernel version doesn’t yet have the full “retpoline” patches added so some modules might not load. You can force them to load via sudo modprobe --force-vermagic <your-module-to-load> until it is properly fixed by upstream.


The other solution is to switch to kernel 4.15 until all patches have been backported to earlier kernels:


sudo mhwd-kernel -i linux415

https://forum.manjaro.org/t/stable-update-2018-01-29-kernels-mesa-xorg-server-browsers-msm-mhwd-gcc/39291/2
PGV ecogold, HP Pavilion dv7, Raspberry Pi B + 2
Arch/Manjaro, Void, FreeBSD
 
Folgende Mitglieder bedankten sich: m-bostaurus

m-bostaurus

  • Forum Kenner
  • ***
  • Beiträge: 160
  • Dankeschön: 4 mal
  • CPU: Desktop: Intel Core i5-6500 800/3600 MHz; Laptop: i5
  • GPU: Desktop: Intel onboard; Laptop:Nvidia
  • Kernel: 4.14 und 4.17 64bit auf beiden Rechnern
  • DE: LXQt (bevorzugt), XFCE, Mate, KDE (nicht mehr)
  • GPU Treiber: Desktop: Intel; Laptop: Nvidia
sudo modprobe --force-vermagic <your-module-to-load>Danke an Josef_K! Das hilft für den aktuellen Betrieb weiter. Ob ich den Kernel 4.15 installiere, weiß ich noch nicht.